# Uses of Class
com.sun.nio.sctp.SctpStandardSocketOptions.InitMaxStreams

Packages that use SctpStandardSocketOptions.InitMaxStreams
Package
Description
com.sun.nio.sctp
A Java API for Stream Control Transport Protocol.

## Uses of SctpStandardSocketOptions.InitMaxStreams in com.sun.nio.sctp

Fields in com.sun.nio.sctp with type parameters of type SctpStandardSocketOptions.InitMaxStreams
Modifier and Type
Field
Description
`static SctpSocketOption<SctpStandardSocketOptions.InitMaxStreams>`
SctpStandardSocketOptions.`SCTP_INIT_MAXSTREAMS`
The maximum number of streams requested by the local endpoint during association initialization.
Methods in com.sun.nio.sctp that return SctpStandardSocketOptions.InitMaxStreams
Modifier and Type
Method
Description
`static SctpStandardSocketOptions.InitMaxStreams`
SctpStandardSocketOptions.InitMaxStreams.`create​(int maxInStreams, int maxOutStreams)`
Creates an InitMaxStreams instance.